﻿<?php
/*
Plugin Name: &#1580;&#1607;&#1575;&#1606; &#1601;&#1575;&#1585;&#1587;&#1740; Persian World
Plugin URI: http://fa-wp.com/persian-world/
Description:  This plugin translates WordPress to Persian/farsi. This Plugin is part of <a href="http://fa-wp.com" title="FarSi WordPress">Farsi WordPress Project </a>.
Version: 1.5
Author: <a href="http://www.fa_wp.com">Daniel</a> & <a href="http://gharibe.in">Gharibe</a>	
*/
/*  Copyright 2010  Daniel & GHaribe  (email : support@fa-wp.com)

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 2 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/
$text_direction = "rtl";
function wif_get_localization_code() {
	return fa_IR;
}
add_filter('locale', 'wif_get_localization_code');

function wif_load_default_textdomain() {
	$locale = get_locale();
	$plugin_base = dirname(__FILE__);
	$mofile = $plugin_base . "/$locale.mo";
	return load_textdomain('default', $mofile);
}
	add_action('plugins_loaded','wif_load_default_textdomain');
function wif_load_default_textadminnetwork() {
	$locale = get_locale();
	$msplugin_base = dirname(__FILE__);
	$msfile = $msplugin_base . "/ms-$locale.mo";
	return load_textdomain('default', $msfile);
}
	add_action('plugins_loaded','wif_load_default_textadminnetwork');
?>